<?xml version="1.0" encoding="UTF-8"?>
<MultiCameraDefaultStateConfig>
<scene name = "ANDROID_HW_SM_INVALID">
    <state>
        <camera name = "main" prev = "true"/>
    </state>
    <hotplug>0</hotplug>
</scene>

<!--capture, default,  -->
<scene name = "ANDROID_HW_SM_NORMAL_CAPTURE">
    <state>
        <camera name = "main" prev = "true"/>
    </state>
    <hotplug>1</hotplug>
</scene>

<!--main not suport switch sensor-->
<scene name = "ANDROID_HW_SM_PANORAMA">
    <state>
        <camera name = "main" prev = "true"/>
    </state>
    <!--do not support hotplug-->
    <hotplug>0</hotplug>
</scene>

<scene name = "ANDROID_HW_SM_ULTRA_HIGH_RES">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_3D_PANORAMA">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_3D_MODEL">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_PAINTER">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_INTEREST_DRESS_UP">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_AI_IDENTIFY">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_AR_3D_THING">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_AR_STAR_PICTURE">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_AR_KATOON">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_SLOW_MO">
    <link name = "ANDROID_HW_SM_PANORAMA"/>
</scene>

<scene name = "ANDROID_HW_SM_AR_GESTURE">
    <link name = "ANDROID_HW_SM_NORMAL_CAPTURE"/>
</scene>


<!--bokeh-->
<scene name = "ANDROID_HW_SM_APERTURE">
    <state>
        <camera name = "main" prev = "true"/>
        <camera name = "wide"/>
    </state>
    <hotplug>1</hotplug>
</scene>

<scene name = "ANDROID_HW_SM_BEAUTY">
    <link name = "ANDROID_HW_SM_APERTURE"/>
</scene>

<scene name = "ANDROID_HW_SM_PORTRAIT">
    <link name = "ANDROID_HW_SM_APERTURE"/>
</scene>

<scene name = "ANDROID_HW_SM_MONO_APERTURE">
    <link name = "ANDROID_HW_SM_APERTURE"/>
</scene>

<scene name = "ANDROID_HW_SM_MONO_PORTRAIT">
    <link name = "ANDROID_HW_SM_APERTURE"/>
</scene>

<!--video-->
<scene name = "ANDROID_HW_SM_NORMAL_VIDEO">
    <state>
        <camera name = "main" prev = "true"/>
    </state>
    <hotplug>1</hotplug>
</scene>

<scene name = "ANDROID_HW_SM_APERTURE_VIDEO">
    <link name = "ANDROID_HW_SM_NORMAL_VIDEO"/>
</scene>

<scene name = "ANDROID_HW_SM_BEAUTY_VIDEO">
    <link name = "ANDROID_HW_SM_NORMAL_VIDEO"/>
</scene>

<scene name = "ANDROID_HW_SM_PROFESSIONAL_VIDEO">
    <link name = "ANDROID_HW_SM_NORMAL_VIDEO"/>
</scene>

<scene name = "ANDROID_HW_SM_TIMELAPSE">
    <state>
        <camera name = "main" prev = "true"/>
    </state>
    <hotplug>1</hotplug>
</scene>


<scene name = "ANDROID_HW_SM_FILTER_VIDEO">
    <link name = "ANDROID_HW_SM_NORMAL_VIDEO"/>
</scene>

<scene name = "ANDROID_HW_SM_SUPER_MACRO">
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
    <!--do not support hotplug-->
    <hotplug>1</hotplug>
</scene>

<scene name = "ANDROID_HW_SM_SUPER_MACRO_VIDEO">
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
    <!--do not support hotplug-->
    <hotplug>1</hotplug>
</scene>

<!--light_painting-->
<scene name = "ANDROID_HW_SM_LIGHT_PAINTING_CAR">
    <state>
        <camera name = "main" prev = "true"/>
    </state>
    <hotplug>1</hotplug>
</scene>

<scene name = "ANDROID_HW_SM_LIGHT_PAINTING_STAR">
    <link name = "ANDROID_HW_SM_LIGHT_PAINTING_CAR"/>
</scene>

<scene name = "ANDROID_HW_SM_LIGHT_PAINTING_WATER">
    <link name = "ANDROID_HW_SM_LIGHT_PAINTING_CAR"/>
</scene>

<scene name = "ANDROID_HW_SM_LIGHT_PAINTING_LIGHT">
    <link name = "ANDROID_HW_SM_LIGHT_PAINTING_CAR"/>
</scene>

<scene name = "ANDROID_HW_SM_AUTO_SUPER_MACRO_CAPTURE">
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
    <!--do not support hotplug-->
    <hotplug>1</hotplug>
</scene>

<scene name = "ANDROID_HW_SM_AUTO_SUPER_MACRO_VIDEO">
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
    <!--do not support hotplug-->
    <hotplug>1</hotplug>
</scene>

<!--professional-->
<scene name = "ANDROID_HW_SM_PROFESSIONAL">
    <state>
        <camera name = "main" prev = "true"/>
    </state>
    <hotplug>1</hotplug>
</scene>

<scene name = "ANDROID_HW_SM_WATER_MARK">
    <link name = "ANDROID_HW_SM_PROFESSIONAL"/>
</scene>

<scene name = "ANDROID_HW_SM_MONO_CAPTURE">
    <link name = "ANDROID_HW_SM_PROFESSIONAL"/>
</scene>

<scene name = "ANDROID_HW_SM_DOCUMENT_SCAN">
    <link name = "ANDROID_HW_SM_PROFESSIONAL"/>
</scene>

<scene name = "ANDROID_HW_SM_SUPER_CAMERA_DEFAULT">
    <link name = "ANDROID_HW_SM_PROFESSIONAL"/>
</scene>

<scene name = "ANDROID_HW_SM_SUPER_CAMERA_NIGHT">
    <link name = "ANDROID_HW_SM_PROFESSIONAL"/>
</scene>

<scene name = "ANDROID_HW_SM_PERFORMANCE_MODE">
    <link name = "ANDROID_HW_SM_PROFESSIONAL"/>
</scene>

<scene name = "ANDROID_HW_SM_MOVING_PICTURE">
    <link name = "ANDROID_HW_SM_PROFESSIONAL"/>
</scene>
</MultiCameraDefaultStateConfig>